Index: code/branches/presentation3/data/levels/Fight in our Back.oxw
===================================================================
--- code/branches/presentation3/data/levels/Fight in our Back.oxw	(revision 7084)
+++ code/branches/presentation3/data/levels/Fight in our Back.oxw	(revision 7085)
@@ -1,18 +1,18 @@
 <?lua
-	include("stats.oxo")
-	include("hudtemplates3.oxo")
-  	include("templates/lodinformation.oxt")
-	include("templates/spaceship_assff.oxt")
-	include("templates/spaceship_pirate.oxt")
-	include("templates/spaceship_Transporter.oxt")
+    include("stats.oxo")
+    include("hudtemplates3.oxo")
+    include("templates/lodinformation.oxt")
+    include("templates/spaceship_assff.oxt")
+    include("templates/spaceship_pirate.oxt")
+    include("templates/spaceship_Transporter.oxt")
 ?>
 
 <NotificationQueue
-	 name     = "notification"
-	 position = "0.40, 0.05"
-	 font     = "VeraMono"
-	 textsize = 0.020
-	 length   = 3
-	 width    = 50
+    name     = "notification"
+    position = "0.40, 0.05"
+    font     = "VeraMono"
+    textsize = 0.020
+    length   = 3
+    width    = 50
 />
 
@@ -72,30 +72,30 @@
   </templates>
 
-	<!-- Ausgang: Szene ===> ambientlight/skybox -->
-	<Scene
-	  ambientlight="0.8,0.8,0.8"
-	  skybox="Orxonox/skypanoramagen1"
-	>
-		
-		<!--Light: noch zu aendern -->
-		<Light type=directional position="0,0,0" direction="0, 0, 0" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 1.0, 0.9" />
+    <!-- Ausgang: Szene ===> ambientlight/skybox -->
+    <Scene
+     ambientlight="0.8,0.8,0.8"
+     skybox="Orxonox/skypanoramagen1"
+    >
+
+        <!--Light: noch zu aendern -->
+        <Light type=directional position="0,0,0" direction="0, 0, 0" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 1.0, 0.9" />
 
 
 <!--*****************************************************************************************************************************************************************************************-->
 <!--Quests-->
-	<GlobalQuest id="FightInOurBack.DiscoveryMission_">
-		<QuestDescription title="Discovery mission" description="Your team has to scout out this sector." failMessage="You failed!" completeMessage="You won. You have reached the end of this level." />
-		<subquests>
-			<GlobalQuest id="FightInOurBack.FollowYourGroupLeader">
-				<QuestDescription title="Follow your group leader" description="Your task is to follow the team leader and to destroy all the enemy spaceships on your way!" failMessage="You failed!" completeMessage="Good job!" />
-			</GlobalQuest>
-			<GlobalQuest id="FightInOurBack.TransportersAhead">
-				<QuestDescription title="Transporters ahead" description="This is a lucky day for us. We have found supplies that the enemy is transporting in these Transporters. We have to destroy them." failMessage="You failed!" completeMessage="Good job!" />
-			</GlobalQuest>
-			<GlobalQuest id="FightInOurBack.TheySentUsAssistance">
-				<QuestDescription title="They sent us assistance" description="The transporters will surely be heavily protected but our base sent us assistance. It should now be easier to destroy them." failMessage="You failed" completeMessage="Good job!" />
-			</GlobalQuest>
-		</subquests>
-	</GlobalQuest>
+    <GlobalQuest id="FightInOurBack.DiscoveryMission_">
+        <QuestDescription title="Discovery mission" description="Your team has to scout out this sector." failMessage="You failed!" completeMessage="You won. You have reached the end of this level." />
+        <subquests>
+            <GlobalQuest id="FightInOurBack.FollowYourGroupLeader">
+                <QuestDescription title="Follow your group leader" description="Your task is to follow the team leader and to destroy all the enemy spaceships on your way!" failMessage="You failed!" completeMessage="Good job!" />
+            </GlobalQuest>
+            <GlobalQuest id="FightInOurBack.TransportersAhead">
+                <QuestDescription title="Transporters ahead" description="This is a lucky day for us. We have found supplies that the enemy is transporting in these Transporters. We have to destroy them." failMessage="You failed!" completeMessage="Good job!" />
+            </GlobalQuest>
+            <GlobalQuest id="FightInOurBack.TheySentUsAssistance">
+                <QuestDescription title="They sent us assistance" description="The transporters will surely be heavily protected but our base sent us assistance. It should now be easier to destroy them." failMessage="You failed" completeMessage="Good job!" />
+            </GlobalQuest>
+        </subquests>
+    </GlobalQuest>
 
 
@@ -104,65 +104,63 @@
 
 
-<!--Player's Spawnpoints______________________________________________________________________________________________________________________________________________________________________-->
-		<!--Spieler Spawnpoint ===> position/direction--> <!-- funktioniert noch nicht ab naechtem Mal wahrscheinlich-->
-		<SpawnPoint position="0,50,25" direction="2000,0,-1000" spawnclass=SpaceShip pawndesign=spaceshipassffplayer team=0 active="true" > 
-<!--->			<events>
-				<activity>
-					<EventListener event="activateSecondSpawnpoint" />
-				</activity>
-			</events>
-		</SpawnPoint>
-
-		<SpawnPoint position="10000,0,3000" direction="2000,0,-1000" spawnclass=SpaceShip pawndesign=spaceshipassffplayer team=0 active="false" > 
-			<events>
-				<activity>
-					<EventListener event="activateSecondSpawnpoint" />
-				</activity>  include("templates/lodinformation.oxt")
-			</events>
+<!--Player's Spawnpoints -->
+        <!--Spieler Spawnpoint ===> position/direction--> <!-- funktioniert noch nicht ab naechtem Mal wahrscheinlich-->
+        <SpawnPoint position="0,50,25" direction="2000,0,-1000" spawnclass=SpaceShip pawndesign=spaceshipassffplayer team=0 active="true" >
+            <events>
+                <activity>
+                    <EventListener event="activateFirstSpawnpoint" />
+                </activity>
+            </events>
+        </SpawnPoint>
+
+        <SpawnPoint position="10000,0,3000" direction="2000,0,-1000" spawnclass=SpaceShip pawndesign=spaceshipassffplayer team=0 active="false" >
+            <events>
+                <activity>
+                    <EventListener event="activateSecondSpawnpoint" />
+                </activity>
+            </events>
+        </SpawnPoint>
+    
+<!--Player's Spawnpoint END-->
+
+<!--Launching Quests -->
+        <QuestEffectBeacon position="0,50,25" times="1">
+            <effects>
+                <AddQuest questId="FightInOurBack.DiscoveryMission_" />
+                <AddQuest questId="FightInOurBack.FollowYourGroupLeader" />
+            </effects>
+            <events>
+                <execute>
+                    <EventListener event="FightInOurBack_MainStart_FollowStart"/>
+                </execute>
+            </events>
+            <attached>
+                <DistanceTrigger name="FightInOurBack_MainStart_FollowStart" position="0,0,0" distance="50" target="DistanceTriggerBeacon" targetname="PlayerDistanceTrigger" />
+                <!--<Billboard position="0,0,0" colour="1.0,1.0,1.0" material="Examples/Flare" />-->
+            </attached>
+        </QuestEffectBeacon>
+
+        <QuestEffectBeacon position="8000,0,3100" times=1 >
+            <effects>
+                <AddQuest questID="FightInOurBack.TransportersAhead" />
+                <AddQuest questID="FightInOurBack.TheySentUsAssistance" />
+                <CompleteQuest questID="FightInOurBack.FollowYourGroupLeader" />
+            </effects>
+            <events>
+                <execute>
+                    <EventListener event="FightInOurBack_FollowEnd_DTranspStart_AssisStart" />
+                </execute>
+            </events>
+            <attached>
+                <!--<Billboard position="0,0,0" colour="1,1,1" material="Examples/Flare" />-->
+                <DistanceTrigger name="FightInOurBack_FollowEnd_DTranspStart_AssisStart" position="0,0,0" distance="1000" target="DistanceTriggerBeacon" targetname="PlayerDistanceTrigger" stayactive=1 activations=1 />
+            </attached>
+        </QuestEffectBeacon>
+    
 <!---->
-		</SpawnPoint>
-		
-<!--Player's Spawnpoint_____END____________________________________________________________________________________________________________________________________________________-->
-
-<!--Launching Quests_______________________________________________________________________________________________________________________________________________________________-->
-		<QuestEffectBeacon position="0,50,25" times="1">
-			<effects>
-				<AddQuest questId="FightInOurBack.DiscoveryMission_"/>
-				<AddQuest questId="FightInOurBack.FollowYourGroupLeader" />
-			</effects>
-			<events>
-				<execute>
-					<EventListener event="FightInOurBack_MainStart_FollowStart"/>
-				</execute>
-			</events>
-			<attached>
-				<!--<Billboard position="0,0,0" colour="1.0,1.0,1.0" material="Examples/Flare" />-->
-			</attached>
-		</QuestEffectBeacon>
-		
-		<DistanceTrigger name="FightInOurBack_MainStart_FollowStart" position="0,50,25" distance="50" target="DistanceTriggerBeacon" targetname="spaceshipassffplayer" />
-<!---->
-		<QuestEffectBeacon position="8000,0,3100" times=1 >
-			<effects>
-				<AddQuest questID="FightInOurBack.TransportersAhead" />
-				<AddQuest questID="FightInOurBack.TheySentUsAssistance" />
-				<CompleteQuest questID="FightInOurBack.FollowYourGroupLeader" />
-			</effects>
-			<events>
-				<execute>
-					<EventListener event="FightInOurBack_FollowEnd_DTranspStart_AssisStart" />
-				</execute>
-			</events>
-			<attached>
-				<!--<Billboard position="0,0,0" colour="1,1,1" material="Examples/Flare" />-->
-				<DistanceTrigger name="FightInOurBack_FollowEnd_DTranspStart_AssisStart" position="0,0,0" distance="1000" target="DistanceTriggerBeacon" targetname="PlayerDistanceTrigger" stayactive=1 activations=1 />
-			</attached>
-		</QuestEffectBeacon>
-			
-<!---->
-		
-<!--Launching Quests______END_______________________________________________________________________________________________________________________________________________________-->
-
-<!--Creating Transporters_________________________________________________________________________________________________________________________________________________________OK-->
+    
+<!--Launching Quests END -->
+
+<!--Creating Transporters OK-->
 
 
@@ -171,23 +169,23 @@
 health=2750
 ?>
-		<!--Transporter 1-->
-	<EventTrigger name="activateTeam1No1" acitvations=1 stayactive="true">
-	<events>
-	<trigger>
-		<SpaceShip position="<?lua print(3800-i*x) ?>,0,3000" lookat="<?lua print(4800-i*x) ?>,0,4000" health=<?lua print(health) ?> maxhealth=<?lua print(health) ?> initialhealth=<?lua print(health) ?> >
-			<templates>
-	    			<Template link=spaceshipTransporter />
-	  		</templates>
-	  		<controller>
-				<WaypointPatrolController alertnessradius=1000 team=1>
-					<waypoints>
-						<Model mesh="cube.mesh" scale=0 position="<?lua print(14800-i*x) ?>,0,3000"/>
-					</waypoints>
-				</WaypointPatrolController>
-	  		</controller>
-		</SpaceShip><!---->
-	</trigger>
-	</events>
-	</EventTrigger>
+    <!--Transporter 1-->
+    <EventTrigger name="activateTeam1No1" acitvations=1 stayactive="true">
+    <events>
+    <trigger>
+        <SpaceShip position="<?lua print(3800-i*x) ?>,0,3000" lookat="<?lua print(4800-i*x) ?>,0,4000" health=<?lua print(health) ?> maxhealth=<?lua print(health) ?> initialhealth=<?lua print(health) ?> >
+            <templates>
+                   <Template link=spaceshipTransporter />
+             </templates>
+             <controller>
+                <WaypointPatrolController alertnessradius=1000 team=1>
+                    <waypoints>
+                        <Model mesh="cube.mesh" scale=0 position="<?lua print(14800-i*x) ?>,0,3000"/>
+                    </waypoints>
+                </WaypointPatrolController>
+             </controller>
+        </SpaceShip><!---->
+    </trigger>
+    </events>
+    </EventTrigger>
 <?lua end ?>
 
@@ -198,134 +196,126 @@
 z=j*300
 ?>
-		<!--Transporter 2,3-->
-	<EventTrigger name="activateTeam1No1" acitvations=1 stayactive="true">
-	<events>
-	<trigger>
-		<SpaceShip position="<?lua print(2600+x) ?>,0,<?lua print(3150-z) ?>" lookat="<?lua print(3500+x) ?>,0,<?lua print(4150-z) ?>" health=<?lua print(health) ?> maxhealth=<?lua print(health) ?> initialhealth=<?lua print(health) ?> >
-			<templates>
-	    			<Template link=spaceshipTransporter />
-	  		</templates>
-	  		<controller>
-				<WaypointPatrolController alertnessradius=1000 team=1>
-					<waypoints>
-						<Model mesh="cube.mesh" scale=0 position="<?lua print(13500+x) ?>,0,<?lua print(3150-z) ?>"/>
-					</waypoints>
-				</WaypointPatrolController>
-	  		</controller>
-		</SpaceShip><!---->
-	</trigger>
-	</events>
-	</EventTrigger>
-<?lua end ?>
-
-
-<!--Creating Transporters______END___________________________________________________________________________________________________________________________________________________________-->
-
-<!--Creating player's team_________________________________________________________________________________________________________________________________________________________________OK-->
-		<!--Spaceships team 0 (player:team=0)-->
-		<SpaceShip position="50,0,0" lookat="2050,0,-1000" health="500" maxhealth="500" initialhealth="500" >
-	  		<templates>
-	   			<Template link=spaceshipassff />
-	 		</templates>
-	  		<controller>
-				<WaypointPatrolController alertnessradius=2000 team=0 >
-					<waypoints>
-						<Model mesh="cube.mesh" scale=0 position="2050,0,-1000" />
-						<Model mesh="cube.mesh" scale=0 position="6050,0,0" />
-            			<Model mesh="cube.mesh" scale=0 position="10050,0,3000" />
-            			<Model mesh="cube.mesh" scale=0 position="3050,0,3000" />
-						<Model mesh="cube.mesh" scale=0 position="-4050,0,3000" />
-					</waypoints>
-				</WaypointPatrolController>
-	  		</controller>
-		</SpaceShip>
-		<!--Second Spaceship team 0 (player: team 0)-->
-		<SpaceShip position="0,0,100" lookat="2000,0,-950" health="400" maxhealth="400" initialhealth="400" >
-	  		<templates>
-	   			<Template link=spaceshipassff />
-	 		</templates>
-	  		<controller>
-				<WaypointPatrolController alertnessradius=2000 team=0 >
-					<waypoints>
-						<Model mesh="cube.mesh" scale=0 position="2000,0,-900" />
-						<Model mesh="cube.mesh" scale=0 position="6000,0,0" />
-            			<Model mesh="cube.mesh" scale=0 position="10000,0,3100" />
-            			<Model mesh="cube.mesh" scale=0 position="3000,0,3100" />
-						<Model mesh="cube.mesh" scale=0 position="-4000,0,3100"/>
-					</waypoints>
-				</WaypointPatrolController>
-	  		</controller>
-		</SpaceShip>
-		<!--third Spaceship team 0 (player: team 0)-->
-		<SpaceShip position="0,0,-100" lookat="2000,0,-1050" health="400" maxhealth="400" initialhealth="400" >
-	  		<templates>
-	   			<Template link=spaceshipassff />
-	 		</templates>
-	  		<controller>
-				<WaypointPatrolController alertnessradius=2000 team=0 >
-					<waypoints>
-						<Model mesh="cube.mesh" scale=0 position="2000,0,-1100" />
-						<Model mesh="cube.mesh" scale=0 position="6000,0,-100" />
-            			<Model mesh="cube.mesh" scale=0 position="10000,0,2900" />
-            			<Model mesh="cube.mesh" scale=0 position="3000,0,2900" />
-						<Model mesh="cube.mesh" scale=0 position="-4000,0,2900" />
-					</waypoints>
-				</WaypointPatrolController>
-	  		</controller>
-		</SpaceShip>
-<!--Creating player's team ______END _______________________________________________________________________________________________________________________________________________________-->
-
-
-<!--Asteroids (field)_____________________________________________________________________________________________________________________________________________________________________OK--> 
-
-		<StaticEntity position="3000,0,-1000">
-			<attached>
-				<?lua for i=0,100,1 do 
-				x=math.random(250,4000)
-				y=math.random(-500,500)
-				z=math.random(1000,2000)
-				scale=math.random(20,70)
-				?>
-				<MovableEntity collisionType=kinematic linearDamping=0.8 angularDamping=0 mass="<?lua print(scale * 5) ?>" position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" rotationaxis="<?lua print(math.random()) ?>,<?lua print(math.random()) ?>,<?lua print(math.random()) ?>" rotationrate="<?lua print(math.random()*15) ?>">
-					<attached>
-						<Model scale=<?lua print(scale) ?> mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false/>
-					</attached>
-					<collisionShapes>
-        				<SphereCollisionShape radius="<?lua print(scale * 3) ?>" />
-      					</collisionShapes> 
-				</MovableEntity>
-				<?lua end ?>
-			</attached>
-		</StaticEntity>
-
-<!--Asteroids (field)______END_______________________________________________________________________________________________________________________________________________________________-->
-
-<!--Asteroids (random)______END____________________________________________________________________________________________________________________________________________________________OK-->
-
-		<StaticEntity position="0,0,0">
-			<attached>
-				<?lua for i=0,150,1 do 
-				x=math.random(-8000,8000)
-				y=math.random(-8000,8000)
-				z=math.random(-8000,8000)
-				?>
-				<MovableEntity collisionType=kinematic linearDamping=0.8 angularDamping=0 mass="<?lua print(scale * 5) ?>" position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" rotationaxis="<?lua print(math.random()) ?>,<?lua print(math.random()) ?>,<?lua print(math.random()) ?>" rotationrate="<?lua print(math.random()*15) ?>" >
-					<attached>
-						<Model scale=<?lua print(math.random(20,70)) ?> mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false/>
-					</attached>
-					<collisionShapes>
-       					<SphereCollisionShape radius="<?lua print(scale * 3) ?>" />
- 					</collisionShapes> 
-				</MovableEntity>
-				<?lua end ?>
-			</attached>
-		</StaticEntity>
-
-<!--Asteroids (random)______END______________________________________________________________________________________________________________________________________________________________-->
-
-<!--Creating spaceships (player's team)____________________________________________________________________________________________________________________________________________________OK-->
+    <!--Transporter 2,3-->
+    <EventTrigger name="activateTeam1No1" acitvations=1 stayactive="true">
+    <events>
+    <trigger>
+        <SpaceShip position="<?lua print(2600+x) ?>,0,<?lua print(3150-z) ?>" lookat="<?lua print(3500+x) ?>,0,<?lua print(4150-z) ?>" health=<?lua print(health) ?> maxhealth=<?lua print(health) ?> initialhealth=<?lua print(health) ?> >
+            <templates>
+                   <Template link=spaceshipTransporter />
+             </templates>
+             <controller>
+                <WaypointPatrolController alertnessradius=1000 team=1>
+                    <waypoints>
+                        <Model mesh="cube.mesh" scale=0 position="<?lua print(13500+x) ?>,0,<?lua print(3150-z) ?>"/>
+                    </waypoints>
+                </WaypointPatrolController>
+             </controller>
+        </SpaceShip><!---->
+    </trigger>
+    </events>
+    </EventTrigger>
+<?lua end ?>
+
+
+<!--Creating Transporters END _-->
+
+<!--Creating player's team OK-->
+        <!--Spaceships team 0 (player:team=0)-->
+        <SpaceShip position="50,0,0" lookat="2050,0,-1000" health="500" maxhealth="500" initialhealth="500" >
+             <templates>
+                  <Template link=spaceshipassff />
+            </templates>
+             <controller>
+                <WaypointPatrolController alertnessradius=2000 team=0 >
+                    <waypoints>
+                        <Model mesh="cube.mesh" scale=0 position="2050,0,-1000" />
+                        <Model mesh="cube.mesh" scale=0 position="6050,0,0" />
+                        <Model mesh="cube.mesh" scale=0 position="10050,0,3000" />
+                        <Model mesh="cube.mesh" scale=0 position="3050,0,3000" />
+                        <Model mesh="cube.mesh" scale=0 position="-4050,0,3000" />
+                    </waypoints>
+                </WaypointPatrolController>
+             </controller>
+        </SpaceShip>
+        <!--Second Spaceship team 0 (player: team 0)-->
+        <SpaceShip position="0,0,100" lookat="2000,0,-950" health="400" maxhealth="400" initialhealth="400" >
+             <templates>
+                  <Template link=spaceshipassff />
+            </templates>
+             <controller>
+                <WaypointPatrolController alertnessradius=2000 team=0 >
+                    <waypoints>
+                        <Model mesh="cube.mesh" scale=0 position="2000,0,-900" />
+                        <Model mesh="cube.mesh" scale=0 position="6000,0,0" />
+                        <Model mesh="cube.mesh" scale=0 position="10000,0,3100" />
+                        <Model mesh="cube.mesh" scale=0 position="3000,0,3100" />
+                        <Model mesh="cube.mesh" scale=0 position="-4000,0,3100"/>
+                    </waypoints>
+                </WaypointPatrolController>
+             </controller>
+        </SpaceShip>
+        <!--third Spaceship team 0 (player: team 0)-->
+        <SpaceShip position="0,0,-100" lookat="2000,0,-1050" health="400" maxhealth="400" initialhealth="400" >
+             <templates>
+                  <Template link=spaceshipassff />
+            </templates>
+             <controller>
+                <WaypointPatrolController alertnessradius=2000 team=0 >
+                    <waypoints>
+                        <Model mesh="cube.mesh" scale=0 position="2000,0,-1100" />
+                        <Model mesh="cube.mesh" scale=0 position="6000,0,-100" />
+                        <Model mesh="cube.mesh" scale=0 position="10000,0,2900" />
+                        <Model mesh="cube.mesh" scale=0 position="3000,0,2900" />
+                        <Model mesh="cube.mesh" scale=0 position="-4000,0,2900" />
+                    </waypoints>
+                </WaypointPatrolController>
+             </controller>
+        </SpaceShip>
+<!--Creating player's team END  -->
+
+
+<!--Asteroids (field OK --> 
+
+<?lua for i=0,100,1 do
+x=math.random(250,4000)
+y=math.random(-500,500)
+z=math.random(1000,2000)
+scale=math.random(20,70)
+?>
+<MovableEntity collisionType=kinematic linearDamping=0.8 angularDamping=0 mass="<?lua print(scale * 5) ?>" position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" rotationaxis="<?lua print(math.random()) ?>,<?lua print(math.random()) ?>,<?lua print(math.random()) ?>" rotationrate="<?lua print(math.random()*15) ?>">
+    <attached>
+        <Model scale=<?lua print(scale) ?> mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false/>
+    </attached>
+    <collisionShapes>
+        <SphereCollisionShape radius="<?lua print(scale * 3) ?>" />
+    </collisionShapes>
+</MovableEntity>
+<?lua end ?>
+
+<!--Asteroids (field) END -->
+
+<!--Asteroids (random) END OK-->
+
+<?lua for i=0,150,1 do
+x=math.random(-8000,8000)
+y=math.random(-8000,8000)
+z=math.random(-8000,8000)
+?>
+<MovableEntity collisionType=kinematic linearDamping=0.8 angularDamping=0 mass="<?lua print(scale * 5) ?>" position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" rotationaxis="<?lua print(math.random()) ?>,<?lua print(math.random()) ?>,<?lua print(math.random()) ?>" rotationrate="<?lua print(math.random()*15) ?>" >
+    <attached>
+        <Model scale=<?lua print(math.random(20,70)) ?> mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false/>
+    </attached>
+    <collisionShapes>
+            <SphereCollisionShape radius="<?lua print(scale * 3) ?>" />
+        </collisionShapes>
+</MovableEntity>
+<?lua end ?>
+
+<!--Asteroids (random) END -->
+
+<!--Creating spaceships (player's team) OK-->
 <!---->
 <!--Trigger to activate this Team (TEAM NO 1)-->
-	<DistanceTrigger name="activateTeam0No1" position="8000,0,3100" distance="1000" target="DistanceTriggerBeacon" targetname="PlayerDistanceTrigger" activations="1" stayactive="true" />
+    <DistanceTrigger name="activateTeam0No1" position="8000,0,3100" distance="1000" target="DistanceTriggerBeacon" targetname="PlayerDistanceTrigger" activations="1" stayactive="true" />
 
 <!--TEAM NO 1 (activationType : distance || killing a spaceship what belongs to TEAM 0 NO 0)-->
@@ -335,28 +325,28 @@
 z=math.random(-300,300)
 ?>
-	<EventTrigger name="activateTeam0No1" activations=1 stayactive="true">
-		<events>
-			<trigger>
-				<SpaceShip position="<?lua print(x+4500) ?>,<?lua print(y) ?>,<?lua print(z+6000) ?>" lookat="<?lua print(4000+x) ?>,<?lua print(y) ?>,<?lua print(z+3000) ?>">
-					<templates>
-						<Template link=spaceshipassff />
-					</templates>
-					<controller>
-						<WaypointPatrolController alertnessradius=2000 team=0 active=false>
-							<waypoints>
-								<Model mesh="cube.mesh" scale=0 position="<?lua print(4500+x) ?>,<?lua print(y) ?>,<?lua print(z+3000) ?>" />
-								<Model mesh="cube.mesh" scale=0 position="<?lua print(x-4000) ?>,<?lua print(y) ?>,<?lua print(z+3000) ?>" />
-							</waypoints>
-							<events>
-								<activity>
-									<EventListener event="activateTeam0No1" />
-								</activity>
-							</events>
-						</WaypointPatrolController>
-					</controller>
-				</SpaceShip>
-			</trigger>
-		</events>
-	</EventTrigger>
+    <EventTrigger name="activateTeam0No1" activations=1 stayactive="true">
+        <events>
+            <trigger>
+                <SpaceShip position="<?lua print(x+4500) ?>,<?lua print(y) ?>,<?lua print(z+6000) ?>" lookat="<?lua print(4000+x) ?>,<?lua print(y) ?>,<?lua print(z+3000) ?>">
+                    <templates>
+                        <Template link=spaceshipassff />
+                    </templates>
+                    <controller>
+                        <WaypointPatrolController alertnessradius=2000 team=0 active=false>
+                            <waypoints>
+                                <Model mesh="cube.mesh" scale=0 position="<?lua print(4500+x) ?>,<?lua print(y) ?>,<?lua print(z+3000) ?>" />
+                                <Model mesh="cube.mesh" scale=0 position="<?lua print(x-4000) ?>,<?lua print(y) ?>,<?lua print(z+3000) ?>" />
+                            </waypoints>
+                            <events>
+                                <activity>
+                                    <EventListener event="activateTeam0No1" />
+                                </activity>
+                            </events>
+                        </WaypointPatrolController>
+                    </controller>
+                </SpaceShip>
+            </trigger>
+        </events>
+    </EventTrigger>
 
 
@@ -364,7 +354,7 @@
 
 <!---->
-<!--Creating spaceships (player's team)_______END_____________________________________________________________________________________________________________________________________________-->
-
-<!--Creating spaceships (enemy)____________________________________________________________________________________________________________________________________________________________OK-->
+<!--Creating spaceships (player's team) END -->
+
+<!--Creating spaceships (enemy) OK-->
 <!---->
 <!--TEAM 1 NO 1 (activationType : killing a Transporter || killing a spaceship what belongs to TEAM 1 NO 1)-->
@@ -374,33 +364,33 @@
 z=math.random(-300,300)
 ?>
-	<EventTrigger name="activateTeam1No1" activations=1 stayactive="true" >
-		<events>
-			<trigger>
-				<SpaceShip position="<?lua print(x+3800) ?>,<?lua print(y+3000) ?>,<?lua print(z+3000) ?>" lookat="<?lua print(4000+x) ?>,<?lua print(y) ?>,<?lua print(z+3000) ?>">
-					<templates>
-						<Template link=spaceshippirate />
-					</templates>
-					<controller>
-						<WaypointPatrolController alertnessradius=5000 team=1 active=false>
-							<waypoints>
-								<Model mesh="cube.mesh" scale=0 position="<?lua print(4000+x) ?>,<?lua print(y) ?>,<?lua print(z+3000) ?>" />
-							</waypoints>
-							<events>
-								<activity>
-									<EventListener event="activateTeam1No1" />
-								</activity>
-							</events>
-						</WaypointPatrolController>
-					</controller>
-				</SpaceShip>
-			</trigger>
-		</events>
-	</EventTrigger>
+    <EventTrigger name="activateTeam1No1" activations=1 stayactive="true" >
+        <events>
+            <trigger>
+                <SpaceShip position="<?lua print(x+3800) ?>,<?lua print(y+3000) ?>,<?lua print(z+3000) ?>" lookat="<?lua print(4000+x) ?>,<?lua print(y) ?>,<?lua print(z+3000) ?>">
+                    <templates>
+                        <Template link=spaceshippirate />
+                    </templates>
+                    <controller>
+                        <WaypointPatrolController alertnessradius=5000 team=1 active=false>
+                            <waypoints>
+                                <Model mesh="cube.mesh" scale=0 position="<?lua print(4000+x) ?>,<?lua print(y) ?>,<?lua print(z+3000) ?>" />
+                            </waypoints>
+                            <events>
+                                <activity>
+                                    <EventListener event="activateTeam1No1" />
+                                </activity>
+                            </events>
+                        </WaypointPatrolController>
+                    </controller>
+                </SpaceShip>
+            </trigger>
+        </events>
+    </EventTrigger>
 
 <?lua end ?>
 <!---->
-<!--Creating spaceships (enemy)_______END____________________________________________________________________________________________________________________________________________________-->
-
-<!--Enemies on the way to the transporters___________________________________________________________________________________________________________________________________________________-->
+<!--Creating spaceships (enemy) END -->
+
+<!--Enemies on the way to the transporters -->
 
 <?lua for i=0,1,1 do 
@@ -408,59 +398,59 @@
 ?>
 <!--NO 1-->
-		<SpaceShip position="<?lua print(5900+i*100) ?>,0,-3000" lookat="2500,0,-1000">
-			<templates>
-				<Template link=spaceshippirate/>
-			</templates>
-			<controller>
-				<WaypointPatrolController alertnessRadius=1500 team=1>
-					<waypoints>
-						<Model mesh="cube.mesh" scale=0 position="<?lua print(2500+100*i) ?>,0,-1000" />
-					</waypoints>
-				</WaypointPatrolController>
-			</controller>
-		</SpaceShip>
+        <SpaceShip position="<?lua print(5900+i*100) ?>,0,-3000" lookat="2500,0,-1000">
+            <templates>
+                <Template link=spaceshippirate/>
+            </templates>
+            <controller>
+                <WaypointPatrolController alertnessRadius=1500 team=1>
+                    <waypoints>
+                        <Model mesh="cube.mesh" scale=0 position="<?lua print(2500+100*i) ?>,0,-1000" />
+                    </waypoints>
+                </WaypointPatrolController>
+            </controller>
+        </SpaceShip>
 
 <!--NO 4-->
-		<SpaceShip position="<?lua print(9000) ?>,13000,<?lua print(z*i+3000) ?>" lookat="1000,0,3000">
-			<templates>
-				<Template link=spaceshippirate/>
-			</templates>
-			<controller>
-				<WaypointPatrolController alertnessRadius=1500 team=1>
-					<waypoints>
-						<Model mesh="cube.mesh" scale=0 position="<?lua print(10000) ?>,0,<?lua print(3000+z*i) ?>" />
-					</waypoints>
-				</WaypointPatrolController>
-			</controller>
-		</SpaceShip>
+        <SpaceShip position="<?lua print(9000) ?>,13000,<?lua print(z*i+3000) ?>" lookat="1000,0,3000">
+            <templates>
+                <Template link=spaceshippirate/>
+            </templates>
+            <controller>
+                <WaypointPatrolController alertnessRadius=1500 team=1>
+                    <waypoints>
+                        <Model mesh="cube.mesh" scale=0 position="<?lua print(10000) ?>,0,<?lua print(3000+z*i) ?>" />
+                    </waypoints>
+                </WaypointPatrolController>
+            </controller>
+        </SpaceShip>
 <?lua end ?>
 
 
 <!--NO 3-->
-		<SpaceShip position="<?lua print(200+13000) ?>,0,10000" lookat="8000,0,1000">
-			<templates>
-				<Template link=spaceshippirate/>
-			</templates>
-			<controller>
-				<WaypointPatrolController alertnessRadius=1500 team=1>
-					<waypoints>
-						<Model mesh="cube.mesh" scale=0 position="<?lua print(200+8000) ?>,0,1000" />
-					</waypoints>
-				</WaypointPatrolController>
-			</controller>
-		</SpaceShip>
-<?lua for i=0,1,1 do ?>		
-		<SpaceShip position="<?lua print(i*400+13000) ?>,100,10000" lookat="8000,0,1000">
-			<templates>
-				<Template link=spaceshippirate/>
-			</templates>
-			<controller>
-				<WaypointPatrolController alertnessRadius=1500 team=1>
-					<waypoints>
-						<Model mesh="cube.mesh" scale=0 position="<?lua print(i*400+8000) ?>,0,1000" />
-					</waypoints>
-				</WaypointPatrolController>
-			</controller>
-		</SpaceShip>
+        <SpaceShip position="<?lua print(200+13000) ?>,0,10000" lookat="8000,0,1000">
+            <templates>
+                <Template link=spaceshippirate/>
+            </templates>
+            <controller>
+                <WaypointPatrolController alertnessRadius=1500 team=1>
+                    <waypoints>
+                        <Model mesh="cube.mesh" scale=0 position="<?lua print(200+8000) ?>,0,1000" />
+                    </waypoints>
+                </WaypointPatrolController>
+            </controller>
+        </SpaceShip>
+<?lua for i=0,1,1 do ?>    
+        <SpaceShip position="<?lua print(i*400+13000) ?>,100,10000" lookat="8000,0,1000">
+            <templates>
+                <Template link=spaceshippirate/>
+            </templates>
+            <controller>
+                <WaypointPatrolController alertnessRadius=1500 team=1>
+                    <waypoints>
+                        <Model mesh="cube.mesh" scale=0 position="<?lua print(i*400+8000) ?>,0,1000" />
+                    </waypoints>
+                </WaypointPatrolController>
+            </controller>
+        </SpaceShip>
 <?lua end ?>
 
@@ -468,24 +458,26 @@
 <!--NO 2-->
 <?lua for i=0,3,1 do ?>
-		<SpaceShip position="<?lua print(math.random(5500,6500)+2000) ?>,0,1000" lookat="2500,0,-1000">
-			<templates>
-				<Template link=spaceshippirate/>
-			</templates>
-			<controller>
-				<WaypointPatrolController alertnessRadius=1500 team=1>
-					<waypoints>
-						<Model mesh="cube.mesh" scale=0 position="<?lua print(math.random(5750,6250)+2000) ?>,0,1250" />
-						<Model mesh="cube.mesh" scale=0 position="<?lua print(math.random(5750,6250)+2000) ?>,250,1000" />
-						<Model mesh="cube.mesh" scale=0 position="<?lua print(math.random(5750,6250)+2000) ?>,0,1000" />
-					</waypoints>
-				</WaypointPatrolController>
-			</controller>
-		</SpaceShip>
-<?lua end ?>
-
-<!--Creating spaceships (enemy)______END_____________________________________________________________________________________________________________________________________________________-->
-
-<DistanceTrigger name="activateSecondSpawnpoint" position="10000,0,3000" distance="1000" target="DistanceTriggerBeacon" targetname="PlayerDistanceTrigger" activations="1" stayactive="true" />
-
-	</Scene>
+        <SpaceShip position="<?lua print(math.random(5500,6500)+2000) ?>,0,1000" lookat="2500,0,-1000">
+            <templates>
+                <Template link=spaceshippirate/>
+            </templates>
+            <controller>
+                <WaypointPatrolController alertnessRadius=1500 team=1>
+                    <waypoints>
+                        <Model mesh="cube.mesh" scale=0 position="<?lua print(math.random(5750,6250)+2000) ?>,0,1250" />
+                        <Model mesh="cube.mesh" scale=0 position="<?lua print(math.random(5750,6250)+2000) ?>,250,1000" />
+                        <Model mesh="cube.mesh" scale=0 position="<?lua print(math.random(5750,6250)+2000) ?>,0,1000" />
+                    </waypoints>
+                </WaypointPatrolController>
+            </controller>
+        </SpaceShip>
+<?lua end ?>
+
+<!--Creating spaceships (enemy) END -->
+
+<Trigger invert=true name="activateFirstSpawnpoint">
+    <DistanceTrigger name="activateSecondSpawnpoint" position="10000,0,3000" distance="1000" target="DistanceTriggerBeacon" targetname="PlayerDistanceTrigger" activations="1" stayactive="true" />
+</Trigger>
+
+    </Scene>
 </Level>
